# Generated by Django 3.0.2 on 2020-01-24 09:15

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Clearing',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('market', 'Market Equilibrium'), ('selective', 'Selective'), ('best-fit', 'Best Fit')], help_text='The marketplace clearing mechanism', max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(help_text='The name of the contact', max_length=100, unique=True)),
                ('name', models.CharField(help_text='The name of the contact', max_length=100)),
                ('email', models.EmailField(help_text='The email of the contact', max_length=254, unique=True)),
                ('phone', models.CharField(default=uuid.uuid4, help_text='The email of the contact', max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Federation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('api_url', models.URLField(help_text='The URL of the API')),
                ('memo_url', models.URLField(help_text='The URL of MEMO')),
                ('slarc_url', models.URLField(help_text='The URL of SLARC')),
                ('vcg_url', models.URLField(help_text='The URL of VCG')),
                ('itlb_url', models.URLField(help_text='The URL of VCG')),
                ('aaa_url', models.URLField(help_text='The URL of AAA')),
            ],
        ),
        migrations.CreateModel(
            name='Flavour',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('electricity', 'Electricity'), ('flexibility', 'Flexibility'), ('heat', 'Heat'), ('it-load', 'IT Load')], help_text='The marketplace flavour name', max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Request',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[('received', 'Received'), ('started', 'Started'), ('completed', 'Completed')], default='received', help_text='The status of the request', max_length=9)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Deployment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default=uuid.uuid4, help_text='The name of the deployment', max_length=100)),
                ('country', models.CharField(help_text='The country of the marketplace operation', max_length=50)),
                ('region', models.CharField(help_text='The region of the marketplace operation', max_length=50)),
                ('url', models.URLField(blank=True, default=None, help_text='The URL of the marketplace entrypoint', null=True)),
                ('api_url', models.URLField(blank=True, default=None, help_text='The URL of the marketplace API (IB URL)', null=True)),
                ('status', models.CharField(choices=[('pending', 'Pending'), ('active', 'Active'), ('inactive', 'Inactive')], default='pending', help_text='The status of the deployment', max_length=8)),
                ('operational', models.NullBooleanField(default=None, help_text='The operation status of the deployment')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('clearing', models.ForeignKey(help_text='The clearing mechanism of the deployment', on_delete=django.db.models.deletion.CASCADE, to='api.Clearing')),
                ('flavour', models.ForeignKey(help_text='The flavour of the marketplace deployment', on_delete=django.db.models.deletion.CASCADE, to='api.Flavour')),
                ('operator', models.ForeignKey(help_text='The contact of the deployment', on_delete=django.db.models.deletion.CASCADE, to='api.Contact')),
                ('request', models.ForeignKey(blank=True, help_text='The request for the deployment', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='deployment', to='api.Request')),
            ],
        ),
    ]
